package com.zehong.system.mapper;

import java.util.List;
import com.zehong.system.domain.TInspectionPlan;
import com.zehong.system.domain.form.InspectionPlanForm;

/**
 * 巡检计划Mapper接口
 * 
 * @author zehong
 * @date 2021-07-21
 */
public interface TInspectionPlanMapper 
{
    /**
     * 查询巡检计划
     * 
     * @param planId 巡检计划ID
     * @return 巡检计划
     */
    public TInspectionPlan selectTInspectionPlanById(int planId);

    /**
     * 查询巡检计划列表
     * 
     * @param inspectionPlanForm 巡检计划
     * @return 巡检计划集合
     */
    public List<TInspectionPlan> selectTInspectionPlanList(InspectionPlanForm inspectionPlanForm);

    /**
     * 新增巡检计划
     * 
     * @param tInspectionPlan 巡检计划
     * @return 结果
     */
    public int insertTInspectionPlan(TInspectionPlan tInspectionPlan);

    /**
     * 修改巡检计划
     * 
     * @param tInspectionPlan 巡检计划
     * @return 结果
     */
    public int updateTInspectionPlan(TInspectionPlan tInspectionPlan);

    /**
     * 删除巡检计划
     * 
     * @param planId 巡检计划ID
     * @return 结果
     */
    public int deleteTInspectionPlanById(int planId);

    /**
     * 批量删除巡检计划
     * 
     * @param planIds 需要删除的数据ID
     * @return 结果
     */
    public int deleteTInspectionPlanByIds(int[] planIds);
}
